/* Start Global Rules */
:root {
    --title-font : 'Amatic SC', sans-serif;
    --main-font : "Open Sans", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --secondary-font : 'Inter', sans-serif;
    --section-padding: 70px 0;

    --main-color: #CE1212;
    --hover-main-color: #E61414;
    --select-color: #D85454;
    --bg-section: #EEEEEE;
    --sec-bg-section: #fff;
    --contact-bg: #F5F5F5;
    --content-color: #fff;
    --font-color: #212529;;
    --description-color: #4f4f5a;
    --shape-svg: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1440 320'><path fill='%23ffffff' fill-opacity='1' d='M0,160L34.3,170.7C68.6,181,137,203,206,202.7C274.3,203,343,181,411,154.7C480,128,549,96,617,112C685.7,128,754,192,823,213.3C891.4,235,960,213,1029,197.3C1097.1,181,1166,171,1234,170.7C1302.9,171,1371,181,1406,186.7L1440,192L1440,320L1405.7,320C1371.4,320,1303,320,1234,320C1165.7,320,1097,320,1029,320C960,320,891,320,823,320C754.3,320,686,320,617,320C548.6,320,480,320,411,320C342.9,320,274,320,206,320C137.1,320,69,320,34,320L0,320Z'></path></svg>");
}


body.dark-mode {
    --main-color: #C17E1F;
    --hover-main-color: #D78C23;
    --select-color: #926321;
    --bg-section: #252525;
    --sec-bg-section: #202020;
    --contact-bg: #0D0D0D;
    --content-color: #171717;
    --font-color: #fff;
    --description-color: #9f9f9f;
    --shape-svg: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1440 320'><path fill='%23171717' fill-opacity='1' d='M0,160L34.3,170.7C68.6,181,137,203,206,202.7C274.3,203,343,181,411,154.7C480,128,549,96,617,112C685.7,128,754,192,823,213.3C891.4,235,960,213,1029,197.3C1097.1,181,1166,171,1234,170.7C1302.9,171,1371,181,1406,186.7L1440,192L1440,320L1405.7,320C1371.4,320,1303,320,1234,320C1165.7,320,1097,320,1029,320C960,320,891,320,823,320C754.3,320,686,320,617,320C548.6,320,480,320,411,320C342.9,320,274,320,206,320C137.1,320,69,320,34,320L0,320Z'></path></svg>");
}

* , *::after , *::before{
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    font-family: var(--main-font);
}

body::selection {
    background-color: var(--select-color);
    color: #fff;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

@supports (scrollbar-color: auto) {
  * {
    scrollbar-width: auto;
    scrollbar-color: #1F1F1F #DFDFDF;
    }
}

*::-webkit-scrollbar {
    width: 15px;
}

*::-webkit-scrollbar-track {
    background: #DFDFDF;
}

*::-webkit-scrollbar-thumb {
    background-color: #1F1F1F;
    border-radius: 4px;
}

/* End Global Rules */

/* Start  */
.container {
    max-width: 85%;
    margin: 0 auto;
}

section .section-title ,
section .section-description {
    text-align: center;
}

.section-title {
    font-family: var(--secondary-font);
    font-size: 14px;
    font-weight: 400;
    color: #7f7f90;
    margin: 0 auto;
}

.section-description {
    font-family: var(--title-font);
    font-size: 50px;
    color: var(--font-color);
    margin: 0;
}

.section-description span {
    color: var(--main-color);
}

/* End */

/* Start Header Section */

/* Start Navbar */
.header .navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--content-color);
    padding: 25px 0;
    font-family: var(--main-font);
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
    z-index: 100;
}

.navbar .navbar-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navbar-content .logo h1 {
    font-size: 30px;
    color: var(--font-color);
    margin: 0;
}

.navbar-content .logo h1 span {
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: var(--main-color);
    display: inline-block;
}

.navbar-content .nav-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 25px;
}

.navbar-content .nav-list .nav-link {
    font-family: var(--main-font);
    font-size: 17px;
    font-weight: 600;
    color: #7f7f90;
    cursor: pointer;
    transition: color 0.3s ease-in-out;
}

.navbar-content .nav-list .nav-link::after {
    content: "";
    display: block;
    width: 0;
    height: 2px;
    margin-top: 5px;
    background-color: var(--main-color);
    transition: width 0.3s ease-in-out;
}

.navbar-content .nav-list .nav-link:hover::after ,
.navbar-content .nav-list .nav-link.active::after {
    width: 100%;
}

.navbar-content .nav-list .nav-link:hover ,
.navbar-content .nav-list .nav-link.active {
    color: var(--font-color);
}

.navbar-content .toggle {
    display: flex;
    align-items: center;
    gap: 20px;
}

.navbar-content .toggle .toggle-btn {
    font-size: 25px;
    color: var(--font-color);
    cursor: pointer;
}

.navbar-content .toggle .menu-toggle {
    display: none;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    cursor: pointer;
}

.navbar-content .toggle .menu-toggle span {
    width: 25px;
    height: 3px;
    background-color: var(--font-color);
    transition: all 0.3s ease;
}
/* End Navbar */

/* Start Sidebar Menu */
.header .mobile-menu {
    position: fixed;
    top: 0;
    right: -70%;
    width: 70%;
    height: 100%;
    color: #7f7f90;
    background-color: #fff;
    transition: right 0.3s ease;
    z-index: 200;
    padding-top: 50px; 
}

.mobile-menu .close {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 18px;
    cursor: pointer;
}

.mobile-menu li {
    padding: 15px;
}

.mobile-menu li a {
    text-decoration: none;
    font-weight: 600;
}

.mobile-menu li a:hover ,
.mobile-menu .close i:hover {
    color: var(--font-color);
}

.mobile-menu.open {
    right: 0;
}
/* End Sidebar Menu */

/* Start Overlay for blur effect */
.home .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.5);
    -webkit-backdrop-filter: blur(1px);
    backdrop-filter: blur(1px);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
    z-index: 150;
}

.overlay.active {
    opacity: 1;
    pointer-events: auto;
}
/* End Overlay for blur effect */

/* Start Home */
.header .home {
    background-color: var(--bg-section);
    padding: var(--section-padding);
}

.home .home-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.home-content .text {
    padding-top: 100px;
}

.home-content .text .title {
    font-family: var(--title-font);
    font-size: 65px;
    font-weight: 700;
    color: var(--font-color);
    margin: 0;
}

.home-content .text .description {
    font-family: var(--main-font);
    font-size: 16px;
    font-weight: 400;
    color: var(--description-color);
    line-height: 26px;
    margin: 20px 0;
    max-width: 500px;
}

.home-content .text .btns {
    display: flex;
    align-items: center;
    gap: 30px;
}

.home-content .text .btns .book {
    padding: 12px 25px;
    font-size: 15px;
    color: var(--content-color);
    background-color: var(--main-color);
    border-radius: 0px 25px 25px;
    cursor: pointer;
}

.home-content .text .btns .book:hover {
    background-color: var(--hover-main-color);
}

.home-content .text .btns .watch {
    display: flex;
    align-items: center;
    font-size: 16px;
    color: var(--font-color);
    font-weight: 600;
}

.home-content .text .btns .watch:hover {
    color: var(--main-color);
}

.home-content .text .btns .watch .border {
    width: 55px;
    height: 55px;
    border-radius: 50%;
    background-image: linear-gradient(to right , var(--main-color) 0% 50%, transparent 50% 100%);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 5px;
}

.home-content .text .btns .watch .circle {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: var(--content-color);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.home-content .image {
    max-width: 540px;
    padding-top: 100px;
}

.home-content .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: drop-shadow(4px 4px 9px #000a);
    cursor: pointer;
}

.home-content .image img:hover {
    animation: shake 0.5s;
    animation-iteration-count: infinite;
}
/* End Header Section */

/* Start Chefs Section */
.chefs {
    padding: var(--section-padding);
    background-color: var(--sec-bg-section);
}

.chefs .chefs-cards {
    display: grid;
    grid-template-columns: repeat(auto-fill , minmax(350px , 1fr));
    gap: 30px;
    margin-top: 50px;
}

.chefs-cards .chef-card {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-color: var(--content-color);
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
}

.chefs-cards .chef-card:hover {
    transform: scale(1.05);
}

.chef-card .image {
    position: relative;
    overflow: hidden;
    width: 100%;
}

.chef-card .image::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background-image: var(--shape-svg);
    background-size: cover;
    background-repeat: no-repeat;
    pointer-events: none;
}

.chef-card .image img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease-in-out;
}

.chef-card .social-media {
    position: absolute;
    top: 5%;
    right: 0;
    padding: 10px;
    background-color: #E1D8D2;
    display: flex;
    flex-direction: column;
    text-align: center;
    border-radius: 5px;
    opacity: 0;
    transition: opacity 0.5s ease-in-out, right 0.5s ease-in-out;
}

.chef-card:hover .social-media {
    right: 2%;
    opacity: 1;
}

.chef-card .social-media i {
    color: #37373f66;
    font-size: 20px;
    margin: 10px 0;
    cursor: pointer;
}

.chef-card .social-media i:hover {
    color: #37373fe6;
}   

.chef-card .info {
    padding: 10px 30px;
    text-align: center;
}

.chef-card .info .name {
    font-family: var(--secondary-font);
    font-size: 19px;
    font-weight: 700;
    color: var(--font-color);
    margin: 0;
}

.chef-card .info .specialty {
    font-size: 14px;
    font-weight: 400;
    color: #7f7f90;
    margin: 5px 0;
}

.chef-card .info .description {
    font-size: 15px;
    font-weight: 400;
    color: #7f7f90;
}

/* End Chefs Section */

/* Start Gallery Section */
.gallery {
    padding: var(--section-padding);
    background-color: var(--bg-section);
}

.gallery div .image {
    width: 100%;
    overflow: hidden;
    position: relative;
    border: 5px solid #fff;
}

.gallery div .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery div .image:hover img {
    transform: scale(1.05);
}

.gallery div .layer {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 0 20px;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    transition: top 0.5s ease-in-out;
}

.gallery div .image:hover .layer {
    top: 0;
}

.gallery div .layer .title {
    margin: 0;
}

.gallery .gallery-meals {
    display: grid;
    gap: 20px;
    margin-top: 50px;
    grid-template-areas: 
        "meal_1 meal_2 meal_3"
        "meal_4 meal_2 meal_5"
        "meal_4 meal_2 meal_6"
        "meal_4 meal_7 meal_6"
        "meal_4 meal_7 meal_6"
    ;
} 

.gallery .meal_1 {
    grid-area: meal_1;
}

.gallery .meal_2 {
    grid-area: meal_2;
}

.gallery .meal_3 {
    grid-area: meal_3;
}

.gallery .meal_4 {
    grid-area: meal_4;
}

.gallery .meal_5 {
    grid-area: meal_5;
}

.gallery .meal_6 {
    grid-area: meal_6;
}

.gallery .meal_7 {
    grid-area: meal_7;
}

/* End Gallery Section */

/* Start Contact Section */
.contact {
    padding: var(--section-padding);
    background-color: var(--sec-bg-section);
}

.contact .map iframe {
    width: 100%;
    height: 350px;
    margin: 30px 0;
}

.contact .contact-info-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.contact-info-container .contact-info {
    display: flex;
    align-items: center;
    text-align: left;
    background-color: var(--contact-bg);
    padding: 10px 20px;
    border-radius: 5px;
}

.contact-info .icon {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    color: var(--content-color);
    background-color: var(--main-color);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
}

.contact-info .icon i {
    font-size: 20px;
}

.contact-info .info {
    margin: 0;
}

.contact-info .info h3 {
    font-family: var(--secondary-font);
    font-size: 20px;
    font-weight: 700;
    color: #7d7d7d;
    margin-bottom: -10px;
}

.contact-info .info p {
    font-size: 16px;
    font-weight: 400;
    color: var(--font-color);
}

.contact .contact-form {
    padding: 20px;
    margin: 30px 0;
    border-radius: 5px;
    background-color: var(--content-color);
    box-shadow:  0px 0px 30px rgba(0, 0, 0, 0.14);
}

.contact-form .inputs {
    display: flex;
    gap: 15px;
    margin: 15px;
}

.contact-form .inputs input ,
.contact-form .inputs textarea {
    width: 100%;
    padding: 15px;
    border-radius: 2px;
    border: 2px solid #E8E3E3;
    outline: none;
}

.contact-form .inputs input::placeholder ,
.contact-form .inputs textarea::placeholder {
    font-family: var(--main-font);
    font-size: 15px;
    font-weight: 400;
    color: #757575;
}

.contact-form .inputs input:focus ,
.contact-form .inputs textarea:focus {
    border-color: var(--main-color);
}

.contact-form .inputs textarea {
    resize: vertical;
}

.contact-form .btn {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}

.contact-form .btn button {
    padding: 15px 40px;
    border-radius: 30px;
    border: none;
    background-color: var(--main-color);
    color: var(--content-color);
    font-size: 15px;
    font-weight: 400;
    cursor: pointer;
}

.contact-form .btn button:hover {
    background-color: var(--hover-main-color);
}

/* End Contact Section */

/* Start Footer */
.footer {
    background-image: url("../images/textured-metal-background.jpg.jpeg");
    background-size: cover;
    background-position: center;
    padding: 30px 0;
    color: #fff;
    position: relative;

}

.footer .layer {
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.7); 
    z-index: 1;
}

.footer .container {
    position: relative;
    z-index: 2;
}

.footer .row {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas: 
        "column_1 column_2 column_2 column_3";
    gap: 30px;
}

.row .column_1 {
    grid-area: column_1;
}

.row .column_2 {
    grid-area: column_2;
}

.row .column_3 {
    grid-area: column_3;
}

.column .logo-container {
    display: flex;
    align-items: center;
}

.column .logo-container .logo {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
}

.column .logo-container .logo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.column .logo-container .logo-text {
    font-size: 30px;
    margin: 0;
}

.column .logo-container .logo-text span {
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: var(--main-color);
    display: inline-block;
}

.column .social-media {
    text-align: center;
}

.column .social-media h2 {
    font-family: var(--secondary-font);
    font-size: 19px;
    border-bottom: 2px solid #595959;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

.column .social-media-icons {
    display: flex;
    justify-content: space-between;
    padding: 10px 30px;
}

.column .social-media-icons a i {
    font-size: 25px;
}

.column .title {
    font-family: var(--secondary-font);
    font-size: 19px;
}

.column form {
    display: flex;
    align-items: center;
    gap: 5px;
}

.column form input {
    width: 100%;
    padding: 10px;
    border-radius: 2px;
    border: 2px solid #E8E3E3;
    outline: none;
}

.column form input::placeholder {
    font-family: var(--main-font);
    font-size: 15px;
    font-weight: 400;
    color: #757575;
}

.column form input:focus {
    border-color: var(--main-color);
}

.column form button {
    padding: 10px;
    border: none;
    background-color: var(--main-color);
    color: var(--content-color);
    font-family: var(--secondary-font);
    font-size: 15px;
    font-weight: 400;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3px;
    cursor: pointer;
}

.column form button:hover {
    background-color: var(--hover-main-color);
}

.column .quick-links-container {
    display: flex;
}

.column .quick-links-container .quick-links {
    width: 50%;
}

.column .quick-links-container .quick-links li {
    padding: 5px;
}
.column .quick-links-container .quick-links li::before {
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 15px;
    margin-right: 10px;
}

.column .quick-links-container .quick-links li:hover {
    background-color: #222;
    margin-left: 10px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.column .contact-info-footer {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.column .contact-info-footer div {
    display: flex;
}

.column .contact-info-footer div i {
    font-size: 20px;
    color: var(--main-color);
    margin: 3px 10px 0 0;
}
/* End Footer */

/* Start Animation */
@keyframes shake {
    0% { transform: translate(1px, 1px) rotate(0deg); }
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(3px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(3px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(1px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
}
/* End Animation */

/* Media Queries */
@media screen and (max-width: 1200px) {
    .container {
        max-width: 75%;
    }

    .navbar-content .nav-list {
        display: none; 
    }

    .navbar-content .toggle .menu-toggle {
        display: flex;
    }

    .footer .row {
        grid-template-columns: repeat(2, 1fr);
        grid-template-areas: 
            "column_1 column_3"
            "column_2 column_2"
        ;
    }
}

@media screen and (max-width: 991px) {    
    .header .home-content {
        flex-direction: column-reverse;
        text-align: center;
    }

    .home-content .text .btns {
        justify-content: center;
    }

    .home-content .image {
        max-width: 100%;
        margin: -50px auto;
    }

    .gallery .gallery-meals {
        grid-template-areas: 
            "meal_1 meal_2"
            "meal_3 meal_2"
            "meal_4 meal_2"
            "meal_4 meal_5"
            "meal_4 meal_6"
            "meal_7 meal_6"
            "meal_7 ."
        ;
    }
    
}

@media screen and (max-width: 768px) {
    .container {
        max-width: 70%;
    }

    .gallery .gallery-meals {
        grid-template-areas: 
            "meal_1"
            "meal_3"
            "meal_4"
            "meal_7"
            "meal_2"
            "meal_5"
            "meal_6"
        ;
    }

    .contact .contact-info-container {
        grid-template-columns: 1fr;
    }

    .contact-form .inputs {
        flex-direction: column;
    }

    .footer .row {
        grid-template-columns: 1fr;
        grid-template-areas: 
            "column_1"
            "column_2"
            "column_3"
        ;
    }

    .column form {
        flex-direction: column;
        gap: 10px;
    }

    .column form button {
        width: 100%;
    }
}

@media screen and (max-width: 640px) {
    .container {
        max-width: 95%;
    }

    .home-content .text .btns {
        flex-direction: column;
    }

    .chef-card .image::before {
        display: none;
    }
}




